
Application: gvSIG desktop - gvSIG bugs #3098
DBF file still open when the manager begin to dispose
01/08/2015 03:12 PM - Antonio Falciano

Status: New % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:
Category: Geoprocess
Target version:
Severity: Minor Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: 2262 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description
Steps to reproduce the issue:
    -  create a random DEM;
    -  execute the "Class statistics" geoalgorithm.

Result: the output file (dbf) is created successfully in the tmp-andami folder, loaded in gvSIG but visualized as empty. See the
gvSIG.log in attachment.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 3171: Error en geoproces... Closed 02/06/2015

History
#1 - 01/08/2015 04:43 PM - Antonio Falciano

It affects also other SEXTANTE geoprocesses whose output is a table (e.g. "Tabulate area").

#2 - 02/06/2015 07:05 PM - Álvaro Anguix
- Related to gvSIG bugs #3171: Error en geoprocesos K-ripley y matriz distancias added

#3 - 02/26/2015 11:10 AM - Álvaro Anguix
- Target version set to 2.2.0-2311-rc2
- Assignee set to Francisco Díaz Carsí

#4 - 02/27/2015 12:28 PM - Francisco Díaz Carsí
- Status changed from New to Fixed

Es el mismo error que el del ticket #3171.

#5 - 03/02/2015 11:28 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.2.0-2311-rc2 to 2.2.0-2302 (rev. org.gvsig.desktop-2.0.89)

#6 - 04/07/2015 01:16 PM - Álvaro Anguix
- Target version changed from 2.2.0-2302 (rev. org.gvsig.desktop-2.0.89) to 2.2.0-2311-rc2
- Status changed from Fixed to New
No se puede testear, porque no funcionan los geoprocesos de "random"

#7 - 04/23/2015 01:04 PM - Joaquín  del Cerro Murciano
- Target version deleted (2.2.0-2311-rc2)

#8 - 05/27/2015 10:06 AM - Francisco Díaz Carsí
- Status changed from New to Fixed

En la 2.2.0-2311-RC2 funciona bien.

Los geoprocesos random sí se pueden testear pero hay que darles una extensión válida, si se empieza con una vista nueva y se le dice que utilice la
extensión de esa vista no funcionan porque la vista no tiene todavía una extensión válida. Para hacer esto primero hay que cargar una capa en la
vista.

Lo vuelvo a pasar a fixed

#9 - 05/28/2015 06:44 PM - Álvaro Anguix
- Status changed from Fixed to Closed

#10 - 05/28/2015 07:05 PM - Antonio Falciano
- Status changed from Closed to New
- File gvSIG_build2312.log added

It happens also in build 2312 with "Tabulate area" geoprocess. See the log in attachment.

#11 - 05/29/2015 09:20 AM - Álvaro Anguix

ok, in my case it works fine

#12 - 05/29/2015 09:28 AM - Álvaro Anguix

Works fine with "Class statistics", with "Tabulate area" it happens as Antonio said.

#13 - 06/20/2016 11:57 AM - Joaquín  del Cerro Murciano
- Assignee deleted (Francisco Díaz Carsí)

Files
gvSIG.log 364 KB 01/08/2015 Antonio Falciano
gvSIG_build2312.log 396 KB 05/28/2015 Antonio Falciano
